package com.bonus.material.upOrDown.tool.mapper;

import com.bonus.material.upOrDown.tool.entity.ToolEntity;

import java.util.List;

public interface UpOrDownToolMapper {
    List<ToolEntity> list(ToolEntity entity);

    List<ToolEntity> listByNumber(ToolEntity entity);

    List<ToolEntity> listByCode(ToolEntity entity);

    /**
     * 批量修改工具上架及租赁价
     * @param list
     * @return
     */
    int upToolBatch(List<ToolEntity> list);

    int downToolBatch(List<Long> ids);

    void downToolById(Long toolId);
}
